This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866899 - %preun(policycoreutils-restorecond-2.1.13-7.fc18.x86_64) scriptlet failed, exit status 1
%preun(policycoreutils-restorecond-2.1.13-7.fc18.x86_64) scriptlet failed, ex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 05:35 EDT by Kamil Páral
Modified: 2014-09-13 14:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:32:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-10-16 05:35:01 EDT
Description of problem:
$ yum history info 36
> Loaded plugins: langpacks, presto, refresh-packagekit
> Transaction ID : 36
> Begin time     : Tue Oct 16 05:15:46 2012
> Begin rpmdb    : 1127:5d3c21bf6b872dcfe5a788f678d72b2a645c4a43
> End time       :            05:21:01 2012 (5 minutes)
> End rpmdb      : 1122:b1c8839d74eaea08ad4ae90ae72dced89848e151
> User           : kparal <kparal>
> Return-Code    : Failure: 1
> Command Line   : update
> Transaction performed with:
>     Updated       rpm-4.10.1-2.fc18.x86_64       @updates-testing
>     Installed     yum-3.4.3-45.fc18.noarch       @updates-testing
>     Installed     yum-presto-0.9.0-1.fc18.noarch @anaconda
> Packages Altered:
>     Updated    NetworkManager-1:0.9.7.0-4.git20121004.fc18.x86_64          @updates-testing
>     Update                    1:0.9.7.0-6.git20121004.fc18.x86_64          @updates-testing
>     Updated    NetworkManager-glib-1:0.9.7.0-4.git20121004.fc18.x86_64     @updates-testing
>     Update                         1:0.9.7.0-6.git20121004.fc18.x86_64     @updates-testing
>     Updated    abrt-2.0.14-2.fc18.x86_64                                   @updates-testing
>     Update          2.0.15-1.fc18.x86_64                                   @updates-testing
>     Updated    abrt-addon-ccpp-2.0.14-2.fc18.x86_64                        @updates-testing
>     Update                     2.0.15-1.fc18.x86_64                        @updates-testing
>     Updated    abrt-addon-kerneloops-2.0.14-2.fc18.x86_64                  @updates-testing
>     Update                           2.0.15-1.fc18.x86_64                  @updates-testing
>     Updated    abrt-addon-python-2.0.14-2.fc18.x86_64                      @updates-testing
>     Update                       2.0.15-1.fc18.x86_64                      @updates-testing
>     Updated    abrt-addon-vmcore-2.0.14-2.fc18.x86_64                      @updates-testing
>     Update                       2.0.15-1.fc18.x86_64                      @updates-testing
>     Updated    abrt-addon-xorg-2.0.14-2.fc18.x86_64                        @updates-testing
>     Update                     2.0.15-1.fc18.x86_64                        @updates-testing
>     Updated    abrt-dbus-2.0.14-2.fc18.x86_64                              @updates-testing
>     Update               2.0.15-1.fc18.x86_64                              @updates-testing
>     Updated    abrt-desktop-2.0.14-2.fc18.x86_64                           @updates-testing
>     Update                  2.0.15-1.fc18.x86_64                           @updates-testing
>     Updated    abrt-gui-2.0.14-2.fc18.x86_64                               @updates-testing
>     Update              2.0.15-1.fc18.x86_64                               @updates-testing
>     Updated    abrt-libs-2.0.14-2.fc18.x86_64                              @updates-testing
>     Update               2.0.15-1.fc18.x86_64                              @updates-testing
>     Updated    abrt-plugin-bodhi-2.0.14-2.fc18.x86_64                      @updates-testing
>     Update                       2.0.15-1.fc18.x86_64                      @updates-testing
>     Updated    abrt-retrace-client-2.0.14-2.fc18.x86_64                    @updates-testing
>     Update                         2.0.15-1.fc18.x86_64                    @updates-testing
>     Updated    bind-libs-32:9.9.1-10.P3.fc18.x86_64                        @updates-testing
>     Update               32:9.9.2-2.fc18.x86_64                            @updates-testing
>     Updated    bind-libs-lite-32:9.9.1-10.P3.fc18.x86_64                   @updates-testing
>     Update                    32:9.9.2-2.fc18.x86_64                       @updates-testing
>     Updated    bind-license-32:9.9.1-10.P3.fc18.noarch                     @updates-testing
>     Update                  32:9.9.2-2.fc18.noarch                         @updates-testing
>     Updated    bind-utils-32:9.9.1-10.P3.fc18.x86_64                       @updates-testing
>     Update                32:9.9.2-2.fc18.x86_64                           @updates-testing
>     Updated    btparser-0.19-1.fc18.x86_64                                 @updates-testing
>     Update              0.20-1.fc18.x86_64                                 @updates-testing
>     Updated    cairo-1.12.2-4.fc18.1.x86_64                                @updates-testing
>     Update           1.12.4-1.fc18.x86_64                                  @updates-testing
>     Updated    cairo-gobject-1.12.2-4.fc18.1.x86_64                        @updates-testing
>     Update                   1.12.4-1.fc18.x86_64                          @updates-testing
>     Updated    cups-1:1.5.4-5.fc18.x86_64                                  @updates-testing
>     Update          1:1.5.4-10.fc18.x86_64                                 @updates-testing
>     Updated    cups-libs-1:1.5.4-5.fc18.x86_64                             @updates-testing
>     Update               1:1.5.4-10.fc18.x86_64                            @updates-testing
>     Updated    dhclient-12:4.2.4-15.P2.fc18.x86_64                         @fedora
>     Update              12:4.2.4-18.P2.fc18.x86_64                         @updates-testing
>     Updated    dhcp-common-12:4.2.4-15.P2.fc18.x86_64                      @fedora
>     Update                 12:4.2.4-18.P2.fc18.x86_64                      @updates-testing
>     Updated    dhcp-libs-12:4.2.4-15.P2.fc18.x86_64                        @fedora
>     Update               12:4.2.4-18.P2.fc18.x86_64                        @updates-testing
>     Updated    evolution-data-server-3.5.92-1.fc18.x86_64                  @fedora
>     Update                           3.6.1-1.fc18.x86_64                   @updates-testing
>     Updated    firefox-16.0-1.fc18.x86_64                                  @updates-testing
>     Update             16.0.1-1.fc18.x86_64                                @fedora
>     Updated    foomatic-db-4.0-33.20120719.fc18.noarch                     @anaconda
>     Update                 4.0-34.20121011.fc18.noarch                     @updates-testing
>     Updated    foomatic-db-filesystem-4.0-33.20120719.fc18.noarch          @anaconda
>     Update                            4.0-34.20121011.fc18.noarch          @updates-testing
>     Updated    foomatic-db-ppds-4.0-33.20120719.fc18.noarch                @anaconda
>     Update                      4.0-34.20121011.fc18.noarch                @updates-testing
>     Updated    glibc-2.16-17.fc18.x86_64                                   @updates-testing
>     Update           2.16-20.fc18.x86_64                                   @updates-testing
>     Updated    glibc-common-2.16-17.fc18.x86_64                            @updates-testing
>     Update                  2.16-20.fc18.x86_64                            @updates-testing
>     Updated    harfbuzz-0.9.4-1.fc18.x86_64                                @fedora
>     Update              0.9.5-1.fc18.x86_64                                @updates-testing
>     Updated    hpijs-1:3.12.10-1.fc18.x86_64                               @updates-testing
>     Update           1:3.12.10-2.a.fc18.x86_64                             @updates-testing
>     Updated    hplip-3.12.10-1.fc18.x86_64                                 @updates-testing
>     Update           3.12.10-2.a.fc18.x86_64                               @updates-testing
>     Updated    hplip-common-3.12.10-1.fc18.x86_64                          @updates-testing
>     Update                  3.12.10-2.a.fc18.x86_64                        @updates-testing
>     Updated    hplip-libs-3.12.10-1.fc18.x86_64                            @updates-testing
>     Update                3.12.10-2.a.fc18.x86_64                          @updates-testing
>     Updated    hunspell-en-0.20110318-8.fc18.noarch                        @fedora
>     Update                 0.20110318-9.fc18.noarch                        @updates-testing
>     Updated    hunspell-en-GB-0.20110318-8.fc18.noarch                     @fedora
>     Update                    0.20110318-9.fc18.noarch                     @updates-testing
>     Updated    hunspell-en-US-0.20110318-8.fc18.noarch                     @fedora
>     Update                    0.20110318-9.fc18.noarch                     @updates-testing
>     Updated    ibus-1.4.99.20121006-1.fc18.x86_64                          @updates-testing
>     Update          1.4.99.20121006-2.fc18.x86_64                          @updates-testing
>     Updated    ibus-gtk2-1.4.99.20121006-1.fc18.x86_64                     @updates-testing
>     Update               1.4.99.20121006-2.fc18.x86_64                     @updates-testing
>     Updated    ibus-gtk3-1.4.99.20121006-1.fc18.x86_64                     @updates-testing
>     Update               1.4.99.20121006-2.fc18.x86_64                     @updates-testing
>     Updated    ibus-libs-1.4.99.20121006-1.fc18.x86_64                     @updates-testing
>     Update               1.4.99.20121006-2.fc18.x86_64                     @updates-testing
>     Updated    ilmbase-1.0.3-3.fc18.x86_64                                 @fedora
>     Update             1.0.3-4.fc18.x86_64                                 @updates-testing
>     Updated    iptables-1.4.14-3.fc18.x86_64                               @anaconda
>     Update              1.4.16.2-3.fc18.x86_64                             @updates-testing
>     Updated    iwl100-firmware-39.31.5.1-14.fc18.noarch                    @updates-testing
>     Update                     39.31.5.1-16.fc18.noarch                    @updates-testing
>     Updated    iwl3945-firmware-15.32.2.9-14.fc18.noarch                   @updates-testing
>     Update                      15.32.2.9-16.fc18.noarch                   @updates-testing
>     Updated    iwl4965-firmware-228.61.2.24-14.fc18.noarch                 @updates-testing
>     Update                      228.61.2.24-16.fc18.noarch                 @updates-testing
>     Updated    iwl5000-firmware-8.83.5.1_1-14.fc18.noarch                  @updates-testing
>     Update                      8.83.5.1_1-16.fc18.noarch                  @updates-testing
>     Updated    iwl5150-firmware-8.24.2.2-14.fc18.noarch                    @updates-testing
>     Update                      8.24.2.2-16.fc18.noarch                    @updates-testing
>     Updated    iwl6000-firmware-9.221.4.1-14.fc18.noarch                   @updates-testing
>     Update                      9.221.4.1-16.fc18.noarch                   @updates-testing
>     Updated    iwl6000g2a-firmware-17.168.5.3-14.fc18.noarch               @updates-testing
>     Update                         17.168.5.3-16.fc18.noarch               @updates-testing
>     Updated    iwl6000g2b-firmware-17.168.5.2-14.fc18.noarch               @updates-testing
>     Update                         17.168.5.2-16.fc18.noarch               @updates-testing
>     Updated    iwl6050-firmware-41.28.5.1-14.fc18.noarch                   @updates-testing
>     Update                      41.28.5.1-16.fc18.noarch                   @updates-testing
>     Updated    libipa_hbac-1.9.1-1.fc18.x86_64                             @updates-testing
>     Update                 1.9.2-1.fc18.x86_64                             @updates-testing
>     Updated    libosinfo-0.2.0-1.fc18.x86_64                               @fedora
>     Update               0.2.1-1.fc18.x86_64                               @updates-testing
>     Updated    libreport-2.0.15-1.fc18.x86_64                              @updates-testing
>     Update               2.0.16-1.fc18.x86_64                              @updates-testing
>     Updated    libreport-filesystem-2.0.15-1.fc18.x86_64                   @updates-testing
>     Update                          2.0.16-1.fc18.x86_64                   @updates-testing
>     Updated    libreport-gtk-2.0.15-1.fc18.x86_64                          @updates-testing
>     Update                   2.0.16-1.fc18.x86_64                          @updates-testing
>     Updated    libreport-newt-2.0.15-1.fc18.x86_64                         @updates-testing
>     Update                    2.0.16-1.fc18.x86_64                         @updates-testing
>     Updated    libreport-plugin-bugzilla-2.0.15-1.fc18.x86_64              @updates-testing
>     Update                               2.0.16-1.fc18.x86_64              @updates-testing
>     Updated    libreport-plugin-kerneloops-2.0.15-1.fc18.x86_64            @updates-testing
>     Update                                 2.0.16-1.fc18.x86_64            @updates-testing
>     Updated    libreport-plugin-logger-2.0.15-1.fc18.x86_64                @updates-testing
>     Update                             2.0.16-1.fc18.x86_64                @updates-testing
>     Updated    libreport-plugin-ureport-2.0.15-1.fc18.x86_64               @updates-testing
>     Update                              2.0.16-1.fc18.x86_64               @updates-testing
>     Updated    libreport-python-2.0.15-1.fc18.x86_64                       @updates-testing
>     Update                      2.0.16-1.fc18.x86_64                       @updates-testing
>     Updated    libreport-web-2.0.15-1.fc18.x86_64                          @updates-testing
>     Update                   2.0.16-1.fc18.x86_64                          @updates-testing
>     Updated    libsane-hpaio-3.12.10-1.fc18.x86_64                         @updates-testing
>     Update                   3.12.10-2.a.fc18.x86_64                       @updates-testing
>     Updated    libsss_idmap-1.9.1-1.fc18.x86_64                            @updates-testing
>     Update                  1.9.2-1.fc18.x86_64                            @updates-testing
>     Updated    libutempter-1.1.5-7.fc18.x86_64                             @anaconda
>     Update                 1.1.6-1.fc18.x86_64                             @updates-testing
>     Updated    linux-firmware-20120925-0.1.git236367d.fc18.noarch          @updates-testing
>     Obsoleting linux-firmware-20120925-0.3.git236367d.fc18.noarch          @updates-testing
>     Updated    metacity-2.34.8-1.fc18.x86_64                               @fedora
>     Update              2.34.13-1.fc18.x86_64                              @updates-testing
>     Updated    ncurses-5.9-5.20120204.fc18.x86_64                          @anaconda
>     Update             5.9-6.20121013.fc18.x86_64                          @updates-testing
>     Updated    ncurses-base-5.9-5.20120204.fc18.x86_64                     @anaconda
>     Update                  5.9-6.20121013.fc18.x86_64                     @updates-testing
>     Updated    ncurses-libs-5.9-5.20120204.fc18.x86_64                     @anaconda
>     Update                  5.9-6.20121013.fc18.x86_64                     @updates-testing
>     Obsoleted  netxen-firmware-4.0.534-6.fc18.noarch                       @anaconda
>     Updated    openldap-2.4.32-3.fc18.x86_64                               @updates-testing
>     Update              2.4.33-2.fc18.x86_64                               @updates-testing
>     Updated    pam-1.1.6-1.fc18.x86_64                                     @fedora
>     Update         1.1.6-3.fc18.x86_64                                     @updates-testing
>     Updated    policycoreutils-2.1.13-7.fc18.x86_64                        @updates-testing
>     Update                     2.1.13-8.fc18.x86_64                        @updates-testing
>     Updated    policycoreutils-python-2.1.13-7.fc18.x86_64                 @updates-testing
>     Update                            2.1.13-8.fc18.x86_64                 @updates-testing
>  ** Updated    policycoreutils-restorecond-2.1.13-7.fc18.x86_64            @updates-testing
>     Update                                 2.1.13-8.fc18.x86_64            @updates-testing
>     Updated    pyOpenSSL-0.13-3.fc18.x86_64                                @updates-testing
>     Update               0.13-4.fc18.x86_64                                @updates-testing
>     Obsoleted  ql2100-firmware-1.19.38-6.fc18.noarch                       @anaconda
>     Obsoleted  ql2200-firmware-2.02.08-6.fc18.noarch                       @anaconda
>     Obsoleted  ql23xx-firmware-3.03.28-4.fc18.noarch                       @anaconda
>     Updated    rpcbind-0.2.0-17.fc18.x86_64                                @anaconda
>     Update             0.2.0-18.fc18.x86_64                                @updates-testing
>     Updated    rpm-4.10.1-2.fc18.x86_64                                    @updates-testing
>     Update         4.10.1-3.fc18.x86_64                                    @updates-testing
>     Updated    rpm-build-libs-4.10.1-2.fc18.x86_64                         @updates-testing
>     Update                    4.10.1-3.fc18.x86_64                         @updates-testing
>     Updated    rpm-libs-4.10.1-2.fc18.x86_64                               @updates-testing
>     Update              4.10.1-3.fc18.x86_64                               @updates-testing
>     Updated    rpm-python-4.10.1-2.fc18.x86_64                             @updates-testing
>     Update                4.10.1-3.fc18.x86_64                             @updates-testing
>     Obsoleted  rt61pci-firmware-1.2-10.fc18.noarch                         @anaconda
>     Obsoleted  rt73usb-firmware-1.8-10.fc18.noarch                         @anaconda
>     Updated    ruby-libs-1.9.3.194-18.fc18.x86_64                          @updates-testing
>     Update               1.9.3.286-19.fc18.x86_64                          @updates-testing
>     Updated    selinux-policy-3.11.1-32.fc18.noarch                        @updates-testing
>     Update                    3.11.1-36.fc18.noarch                        @updates-testing
>     Updated    selinux-policy-devel-3.11.1-32.fc18.noarch                  @updates-testing
>     Update                          3.11.1-36.fc18.noarch                  @updates-testing
>     Updated    selinux-policy-targeted-3.11.1-32.fc18.noarch               @updates-testing
>     Update                             3.11.1-36.fc18.noarch               @updates-testing
>     Updated    sssd-1.9.1-1.fc18.x86_64                                    @updates-testing
>     Update          1.9.2-1.fc18.x86_64                                    @updates-testing
>     Updated    sssd-client-1.9.1-1.fc18.x86_64                             @updates-testing
>     Update                 1.9.2-1.fc18.x86_64                             @updates-testing
>     Updated    xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64 @updates-testing
>     Update                      7.0.0-0.7.20121015gitbd9e2c064.fc18.x86_64 @updates-testing
>     Updated    xorg-x11-drv-intel-2.20.9-1.fc18.x86_64                     @updates-testing
>     Update                        2.20.10-1.fc18.x86_64                    @updates-testing
>     Updated    xorg-x11-drv-qxl-0.0.22-5.20120718gitde6620788.fc18.x86_64  @anaconda
>     Update                      0.1.0-1.fc18.x86_64                        @updates-testing
>     Updated    xulrunner-16.0-2.fc18.x86_64                                @updates-testing
>     Update               16.0.1-1.fc18.x86_64                              @fedora
> Scriptlet output:
>    1 /var/tmp/rpm-tmp.ezuc1L: line 1: fg: no job control
>    2 error: %preun(policycoreutils-restorecond-2.1.13-7.fc18.x86_64) scriptlet failed, exit status 1
>    3 error: policycoreutils-restorecond-2.1.13-7.fc18.x86_64: erase failed
> history info

Version-Release number of selected component (if applicable):
policycoreutils-restorecond-2.1.13-7.fc18.x86_64
Comment 1 Daniel Walsh 2012-10-16 13:18:42 EDT
Fixed in policycoreutils-2.1.13-8.fc18

Although you will need to remove the old version with

rpm -e policycoreutils-restorecond-2.1.13-7.fc18.x86_64 --noscripts
Comment 2 Fedora Update System 2012-10-16 13:22:49 EDT
policycoreutils-2.1.13-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15666/policycoreutils-2.1.13-8.fc18
Comment 3 Fedora Update System 2012-10-18 11:26:22 EDT
Package policycoreutils-2.1.13-13.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-13.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15666/policycoreutils-2.1.13-13.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:32:42 EST
policycoreutils-2.1.13-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.